X
Tap here to go to the mobile version of the site.

Support Forum

TB complains "can't update to the latest version" although I am on the latest version (68.2.1)

Posted

I have downloaded and installed the latest version but it periodically complains with the message shown in the attached screen shot. How can I solve the problem?

I have downloaded and installed the latest version but it periodically complains with the message shown in the attached screen shot. How can I solve the problem?
Attached screenshots

Modified by ffsync5

Chosen solution

Here are some suggestions from Kaspersky support to confirm if the problem caused by Kaspersky :

- Uninstall software potentially incompatible with Kaspersky (WinPcap and Glary Utilities in my case).

- Open Kaspersky settings - Additional - Network and scroll at the bottom of the page. in Mozilla section, temporary uncheck the option: Scan secure traffic in Mozilla applications

Read this answer in context 2
Quote

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101 Firefox/68.0

More Information

Wayne Mery
  • Top 25 Contributor
  • Moderator
600 solutions 5737 answers

Better now?

Better now?
Was this helpful to you?
Quote
Wayne Mery
  • Top 25 Contributor
  • Moderator
600 solutions 5737 answers

I should have been more explicit - we just shipped 68.2.1. So if you do Help > About are you offered an update and after updating it no longer says there is an update?

I should have been more explicit - we just shipped 68.2.1. So if you do Help > About are you offered an update and after updating it no longer says there is an update?
Was this helpful to you? 1
Quote
Mikeep 0 solutions 5 answers

Hopefully the 68.2.1 fixes it, When the message first popped up I did check version and then website for latest, which was then 68.2.0.

Hopefully the 68.2.1 fixes it, When the message first popped up I did check version and then website for latest, which was then 68.2.0.
Was this helpful to you? 0
Quote

Helpful Reply

Unfortunately the update did not solve the problem as can be seen in the attached screen shot.

Unfortunately the update did not solve the problem as can be seen in the attached screen shot.
Was this helpful to you? 1
Quote
terrybernstein 0 solutions 22 answers

This has persisted with mine through at least 2 updates. I'm on 68.2.1. TB will randomly pop up the message saying it can't update to the latest version and I should do so manually. But the latest version is always the one I'm already using. And, telling TB to do a check for updates says there isn't one. (which is correct, of course).

This has persisted with mine through at least 2 updates. I'm on 68.2.1. TB will randomly pop up the message saying it can't update to the latest version and I should do so manually. But the latest version is always the one I'm already using. And, telling TB to do a check for updates says there isn't one. (which is correct, of course).
Was this helpful to you?
Quote

Question owner

I am glad to notice that I am not the only one with this problem. Strange though that there are so few complaining about it. Maybe some expert can tell what TB tries to do to verify if it is on the latest update. Chances are that some security setting breaks the update verification. I have kaspersky internet security 2019 running on my w10. So far TB is the only program though which shows the described problem.

I am glad to notice that I am not the only one with this problem. Strange though that there are so few complaining about it. Maybe some expert can tell what TB tries to do to verify if it is on the latest update. Chances are that some security setting breaks the update verification. I have kaspersky internet security 2019 running on my w10. So far TB is the only program though which shows the described problem.
Was this helpful to you?
Quote
terrybernstein 0 solutions 22 answers

I'm on Kaspersky (Free edition v20.0.14.x ) in W10 too. So that could be the common factor. Maybe TB 68.2.x is hooking in to something that Kaspersky thinks it shouldn't to verify version information.

I'm on Kaspersky (Free edition v20.0.14.x ) in W10 too. So that could be the common factor. Maybe TB 68.2.x is hooking in to something that Kaspersky thinks it shouldn't to verify version information.

Modified by terrybernstein

Was this helpful to you?
Quote
Wayne Mery
  • Top 25 Contributor
  • Moderator
600 solutions 5737 answers

Is there anyone here that does NOT use Kaspersky?

Is there anyone here that does '''NOT '''use Kaspersky?
Was this helpful to you?
Quote
sfhowes
  • Top 10 Contributor
1823 solutions 9028 answers

Kaspersky has a Software Updater module - is that causing these unwanted notifications? Can you exclude programs from being checked?

Kaspersky has a [https://support.kaspersky.com/14957 Software Updater] module - is that causing these unwanted notifications? Can you exclude programs from being checked?
Was this helpful to you?
Quote
terrybernstein 0 solutions 22 answers

It's worth a look, but that only applies if enabled within the Pro version. I'm on free. Also, these messages seem to be coming from within TB. The Kaspersky module looks for higher versions of installed s/w from a database and then offers to install it. ( If you pay for the pro version). It seems more likely that TB is hooking into a system resource that Kaspersky is trying to protect. This message will (try to ) install an update on behalf of TB. It pops down from within TB and has no other branding.

It's worth a look, but that only applies if enabled within the Pro version. I'm on free. Also, these messages seem to be coming from within TB. The Kaspersky module looks for higher versions of installed s/w from a database and then offers to install it. ( If you pay for the pro version). It seems more likely that TB is hooking into a system resource that Kaspersky is trying to protect. This message will (try to ) install an update on behalf of TB. It pops down from within TB and has no other branding.

Modified by terrybernstein

Was this helpful to you?
Quote
sfhowes
  • Top 10 Contributor
1823 solutions 9028 answers

Has anyone with these popups tried the method of deleting the updates folder?

https://support.mozilla.org/en-US/questions/1269873#answer-1259076

Has anyone with these popups tried the method of deleting the updates folder? https://support.mozilla.org/en-US/questions/1269873#answer-1259076
Was this helpful to you?
Quote

Question owner

@sfhowes: Thanks for the link. I did not find it when I was searching for the problem. It shows that there are more people with the same issue. I am on TB64 and when I search for mozilla.*updates with everything from voidtools I only find the below structure which only contains json files with a single line telling if auto-updates are on.

C:\ProgramData\Mozilla\updates >tree /f C:. ├───308046B0AF4A39CB │ update-config.json │ ├───8216C80C92C4E828 │ update-config.json │ ├───D78BF5DD33499EC2 └───EC4B88E480B4EF72

       update-config.json
@sfhowes: Thanks for the link. I did not find it when I was searching for the problem. It shows that there are more people with the same issue. I am on TB64 and when I search for mozilla.*updates with everything from voidtools I only find the below structure which only contains json files with a single line telling if auto-updates are on. C:\ProgramData\Mozilla\updates >tree /f C:. ├───308046B0AF4A39CB │ update-config.json │ ├───8216C80C92C4E828 │ update-config.json │ ├───D78BF5DD33499EC2 └───EC4B88E480B4EF72 update-config.json
Was this helpful to you?
Quote
Owners Gamer 0 solutions 22 answers

Kaperskis has nothing to do with TB's pop-up problem, as Software Updater is turned off, and pop-up persists. I just think that there is some faulty logic in the version check subroutine. 1) The up-to-date flag on the help/about page can be wrong when checking update is needed. 2) The help/about pop up needs to show latest version available so one does not need to manually navigate to RELEASES to verify if update is really needed.

Kaperskis has nothing to do with TB's pop-up problem, as Software Updater is turned off, and pop-up persists. I just think that there is some faulty logic in the version check subroutine. 1) The up-to-date flag on the help/about page can be wrong when checking update is needed. 2) The help/about pop up needs to show latest version available so one does not need to manually navigate to [https://www.thunderbird.net/en-US/thunderbird/releases/ RELEASES] to verify if update is really needed.
Was this helpful to you? 0
Quote
terrybernstein 0 solutions 22 answers

Two things there. Kaspersky's protection and Kaspersky's software update module. The update module is already ruled out - because it's an add on not available in the free version and anyway doesn't directly interact beyond version checking - and then lists updates within itself, not as an automated pop up. But Kaspersky protection might have an effect. It seems to be a common thread.

I've tried renaming the update folder*. So far no messages, but it's too soon to think that there won't be any.

  • Might have been suggested in the parallel thread.
Two things there. Kaspersky's protection and Kaspersky's software update module. The update module is already ruled out - because it's an add on not available in the free version and anyway doesn't directly interact beyond version checking - and then lists updates within itself, not as an automated pop up. But Kaspersky protection ''might'' have an effect. It seems to be a common thread. I've tried renaming the update folder*. So far no messages, but it's too soon to think that there won't be any. *Might have been suggested in the parallel thread.
Was this helpful to you?
Quote
Mikeep 0 solutions 5 answers

I get Kaspersky update messages in a pop up at lower right of screen. The TB messages are on the TB screen with an arrow, so seems to be within TB. I keep checking and updating TB, but still get the message. I have not found the update folder. I am using win 7 TB installs as 32bit. I have a 64 bit laptop. Just started TB popup came on immediately, usually after several minutes, have not timed it.

I get Kaspersky update messages in a pop up at lower right of screen. The TB messages are on the TB screen with an arrow, so seems to be within TB. I keep checking and updating TB, but still get the message. I have not found the update folder. I am using win 7 TB installs as 32bit. I have a 64 bit laptop. Just started TB popup came on immediately, usually after several minutes, have not timed it.
Was this helpful to you? 0
Quote
terrybernstein 0 solutions 22 answers

Clearly the problem is within TB since it's TB that is having the problem. But it might be caused by its interaction with the Kaspersky AV. TB is normally 32bit. There is a version that runs under 64bit I gather, aimed mostly at commercial installs. Oh and btw, I've logged into a different PC to type this, I've not used it for a week or two -and it updated to the latest version of TB- and then I got that cursed message after that! And I have Kaspersky on that too.

Clearly the problem is within TB since it's TB that is having the problem. But it might be ''caused'' by its interaction with the Kaspersky AV. TB is normally 32bit. There is a version that runs under 64bit I gather, aimed mostly at commercial installs. Oh and btw, I've logged into a different PC to type this, I've not used it for a week or two -and it updated to the latest version of TB- and then I got that cursed message after that! And I have Kaspersky on that too.

Modified by terrybernstein

Was this helpful to you?
Quote
terrybernstein 0 solutions 22 answers

The suggested removing the update folder didn't work. Still getting the poxy messages.

The suggested removing the update folder didn't work. Still getting the poxy messages.
Was this helpful to you?
Quote

Question owner

Still the same with me too. 68.2.1 did not fix it. From what I read it seems to be a problem with the 64bit version only. I did check the Kaspersky logs and couldn't find anything related to TB. So I think it is not related with Kaspersky but more likely with the 64bit version.

Still the same with me too. 68.2.1 did not fix it. From what I read it seems to be a problem with the 64bit version only. I did check the Kaspersky logs and couldn't find anything related to TB. So I think it is not related with Kaspersky but more likely with the 64bit version.
Was this helpful to you?
Quote
Mikeep 0 solutions 5 answers

Not just 64bit, I am on 32bit and get it, Looks like TB as it pops up an arrow along top bar next to open calendar view. Kaspersky gives a pop up bottom Right saying updates are available, not cannot auto update.

Not just 64bit, I am on 32bit and get it, Looks like TB as it pops up an arrow along top bar next to open calendar view. Kaspersky gives a pop up bottom Right saying updates are available, not cannot auto update.
Was this helpful to you?
Quote
terrybernstein 0 solutions 22 answers

I'm on 32 bit. So far no one has posted to say that they're not on Kaspersky - so that remains a common thread. Whether it's the cause or not. Kaspersky's interfering with some OS hook wouldn't show in the logs as anything Thunderbirdy. You'd need a deep knowledge of the executables and .dlls that TB calls to locate any deep conflict- and there's no reason to think even that would appear in the logs.

I'm on 32 bit. So far no one has posted to say that they're not on Kaspersky - so that remains a common thread. Whether it's the cause or not. Kaspersky's interfering with some OS hook wouldn't show in the logs as anything Thunderbirdy. You'd need a deep knowledge of the executables and .dlls that TB calls to locate any deep conflict- and there's no reason to think even that would appear in the logs.
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.